View Issue Details

IDProjectCategoryView StatusLast Update
0005788MediaMonkey (current)Properties/Auto-Toolspublic2010-12-03 03:59
Reportermichal 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0005788: Tagging WMV/ASF files
DescriptionReading and writing WMV/ASF files will be needed for video support in MM.
TagsNo tags attached.
Fixed in build1324

Activities

michal

2010-01-11 13:23

developer   ~0019921

For WMV tagging, we can use the following standard tags (more detailed description here: http://msdn.microsoft.com/en-us/library/dd743064%28VS.85%29.aspx )

Author - the name of a media artist or actor associated with the content
Title
WM/ContentDistributor - the name of the distributor of the file
WM/DVDID - the digital video disc identifier
WM/Genre
WM/MediaClassPrimaryID - the GUID of the primary media class (music/video/audio/other)
WM/MediaClassSecondaryID - the GUID of the secondary media class (news/music video/home video/film/...)
WM/Provider - the name of the metadata content provider
Copyright
WM/Composer - the name of the music composer
WM/Director
WM/EncodingTime - a time stamp of the time at which the content was encoded
WM/Language - the language of the stream (RFC 1766)
WM/ParentalRating - the parental rating of the content (e.g. "PG-13")
WM/Producer
WM/ToolName - the name of the application used to create the file
WM/ToolVersion - the version number of the application used to create the file
WM/WMCollectionGroupID
WM/WMCollectionID
WM/WMContentID
WM/Writer - the name of the writer who wrote the words of the content
Description
WM/AuthorURL - the address of the author's Web site
WM/Conductor
WM/ContentGroupDescription
WM/EncodedBy - the name of the person or group that encoded the content
WM/EncodingSettings
WM/PartOfSet - the part number and the total number of parts in the set to which the file belongs. The two values are separated by a slash
WM/Picture - a picture related to the content (APIC frame)
WM/PromotionURL - the address of a Web site offering a promotion related to the content
WM/Publisher - the name of the company that published the content.
WM/SubTitle
WM/UniqueFileIdentifier
WM/UserWebURL - the address of a Web site and a description of the site

jiri

2010-11-03 17:20

administrator   ~0021153

Last edited: 2010-11-10 16:31

View 2 revisions

As discussed over IM, the necessary changes include:
 - Use all of the standard tags that we can support.
 - Tag Episode # to Track #
 - Tag Director (probably both WM/Director and Author - for better compatibility)
 - Use Album for TV Show name
 - Tag Season # using our own 'SeasonNumber'

michal

2010-11-10 18:25

developer   ~0021290

Fixed in build 1324.

peke

2010-12-03 03:59

developer   ~0021577

Verified 1330